net.i2p.util

## Class LogRecord

- java.lang.Object
- - net.i2p.util.LogRecord

-     class LogRecord
      extends Object

  Keep track of a log entry, unformatted.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogRecord(Class<?> src, String name, String threadName, int priority, String msg, Throwable t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Matches source class, first part of message string, and throwable class only.
    `long` | `getDate()`
    `String` | `getMessage()`
    `int` | `getPriority()`
    `Class<?>` | `getSource()`
    `String` | `getSourceName()`
    `String` | `getThreadName()`
    `Throwable` | `getThrowable()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogRecord

          public LogRecord(Class<?> src,
                           String name,
                           String threadName,
                           int priority,
                           String msg,
                           Throwable t)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Matches source class, first part of message string, and throwable class only. Used only by LogWriter to eliminate dups.
      Overrides:
        `equals` in class `Object`

    - #### getDate

          public long getDate()

    - #### getMessage

          public String getMessage()

    - #### getPriority

          public int getPriority()

    - #### getSource

          public Class<?> getSource()

    - #### getSourceName

          public String getSourceName()

    - #### getThreadName

          public String getThreadName()

    - #### getThrowable

          public Throwable getThrowable()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`